world - libmagic depends on several other libraries
authorMatthew Dillon <dillon@apollo.backplane.com>
Wed, 20 May 2020 20:57:05 +0000 (13:57 -0700)
committerMatthew Dillon <dillon@apollo.backplane.com>
Wed, 20 May 2020 21:09:24 +0000 (14:09 -0700)
* Fix missing dependencies. libmagic needs libbz2 and liblzma.

* Fixes devel/py-subversion@py27 build

Reported-by: tuxillo
lib/libmagic/libmagic/Makefile

index 7880c7e..5658545 100644 (file)
@@ -9,8 +9,8 @@ MAGIC=  ${MAGICSHAREDIR}/magic
 LIB=   magic
 SHLIB_MAJOR=   2
 
-DPADD= ${LIBZ}
-LDADD= -lz
+DPADD=  ${LIBBZ2} ${LIBLZMA} ${LIBZ}
+LDADD=  -lbz2 -llzma -lz
 
 SRCS=  apprentice.c ascmagic.c buffer.c cdf.c cdf_time.c \
        compress.c der.c encoding.c fsmagic.c funcs.c is_csv.c \